Subject: Re: bug#45068: [PATCH] 28.0.50; Update Modus themes 1.0.2 (backward-incompatible)

From: Christopher Dimech <[email-masked]>
Date: Fri, 11 Dec 2020 15:32:55 +0100

> Sent: Friday, December 11, 2020 at 3:16 PM
> From: "Stefan Kangas" <[email-masked]>
> To: "Eli Zaretskii" <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked], [email-masked]
> Subject: bug#45068: [PATCH] 28.0.50; Update Modus themes 1.0.2 (backward-incompatible)
>
> Eli Zaretskii <[email-masked]> writes:
>
> >> Taking a step back, why are any themes in "etc/themes" to begin with?
> >
> > This question should have been asked 10 years ago, when we added that
> > place.
>
> I wasn't paying attention 10 years ago, I'm afraid.  :-)
>
> > Nowadays I think the question is what's so wrong with that
> > place that would justify moving the files.  If there are no serious
> > problems, I'd prefer to keep using that directory for themes.
>
> Right.  Well, I don't exactly have a strong opinion either way.  But I
> do think that we should be consistent: it would be confusing to have
> some themes in "etc/themes" and some in "lisp/themes".
>
> If we can't move all themes to "lisp/themes" and we don't want to use
> "lisp/themes" just for support files, to my mind the only remaining way
> forward is to add some way to byte-compile (perhaps only some?) files in
> "etc/themes".  And then make sure they can be loaded, are installed with
> Emacs, etc.
>
> Does that sound good, or could we do even better here?
>
> Protesilaos, what do you think?  Does it sound workable for you?

We can have a subset of the themes in "lisp/themes", the rest in "etc/themes".
I suggest that Protesilaos' Modus-Themes be used as default for emacs (stored
in "lisp/themes") because they are acessible themes for Gnu Emacs that much
thought was spent conforming with WCAG AAA Standard.

Regards
Christopher